Skip to main content
`Ctrl`+`K`

# pandas.Categorical.__array__

Categorical.__array__(dtype=None, copy=None)

  The numpy array interface.

  Returns:
    numpy.array

      A numpy array of either the specified dtype or, if dtype==None (default), the same dtype as categorical.categories.dtype.

  Examples

      >>> cat = pd.Categorical(['a', 'b'], ordered=True)

  The following calls `cat.__array__`

      >>> np.asarray(cat)
      array(['a', 'b'], dtype=object)